%define name xmms-more-vis-plugins
%define version 1.1.0
%define prefix %{_prefix}
%define release 4mdk

%define morepluga jakdaw-0.0.3
%define moreplugb synaesthesia-xmms-0.0.2beta
%define moreplugc xmms_speakers-2.0
%define moreplugd infinity-0.2
%define morepluge bump_scope-0.0.3pre5
%define moreplugnoautoconfa wmdiscotux-1.2

Name: %{name}
Summary: XMMS - More visualization plugins.
Version: %{version}
Release: %{release}
Source0: http://www.jakdaw.ucam.org/xmms/%{morepluga}.tar.bz2
Source1: http://staff.xmms.org/zinx/xmms/%{moreplugb}.tar.bz2
Source2: http://home.swipnet.se/~w-92416/plugins/%{moreplugc}.tar.bz2
Source3: http://wmdiscotux.stc.cx/%{moreplugnoautoconfa}.tar.bz2
Source4: http://julien.carme.free.fr/%{moreplugd}.tar.bz2
Source5: http://staff.xmms.org/zinx/xmms/%{morepluge}.tar.bz2
Patch0: wmdiscotux-1.2.patch.bz2
Patch1: xmms_speakers-2.0.patch.bz2
Patch2: infinite-remove-need-of-xmms-config.patch.bz2
Copyright: GPL
Group: Sound
URL: http://www.xmms.org/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: xmms >= 1.0.0
BuildRequires: xmms-devel

%description
More visualization plugins, from the best ones found on the home page of xmms
(http://www.xmms.org).

This package provides 6 visualization plugins:
- jakdaw's plugin (blur oscilliscope),
- infinity (interactive blur light effects),
- synaesthesia (blur spots),
- wmdiscotux (tux moving on the music),
- xmms speakers,
- bump scope (bump version of the blur scope).

%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -n %{morepluga}
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

%configure
%make
 
cd %{moreplugb}
%configure
%make
cd ..
 
cd %{moreplugc}
automake
%configure --libdir=/%{_libdir}/xmms/Visualization
%make
cd ..
 
cd %{moreplugnoautoconfa}
%make
cd ..

cd %{moreplugd}
rm -f config.cache
automake
%configure
%make
cd ..

cd %{morepluge}
%configure
%make
cd ..



%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}

%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization

for i in %{moreplugb} %{moreplugc} %{morepluge}
do
    cd $i
	%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
    cd ..
done

cd %{moreplugd}
%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization datadir=$RPM_BUILD_ROOT/%{_datadir}/xmms
cd ..

install -m755 %{moreplugnoautoconfa}/libwmdiscotux.so $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization

install -m644 COPYING $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
install -m644 README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{morepluga}
install -m644 %{moreplugb}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugb}
install -m644 %{moreplugc}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugc}
install -m644 %{moreplugnoautoconfa}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugnoautoconfa}
install -m644 %{moreplugd}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{moreplugd}
install -m644 %{morepluge}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/README.%{morepluge}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}/*
%{_libdir}/xmms/Visualization/libjakdaw*
%{_libdir}/xmms/Visualization/libsynaesthesia*
%{_libdir}/xmms/Visualization/libxmms_speakers*
%{_libdir}/xmms/Visualization/libwmdiscotux*
%{_libdir}/xmms/Visualization/libinfinite*.??
%{_libdir}/xmms/Visualization/libbumpscope*
%{_datadir}/xmms/infinite_states

%changelog
* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-4mdk
- added full path for all plugins to ease further upgrade/maintaining
  of the package

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-3mdk
- automatically added packager tag

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-2mdk
- BM

* Tue Jun 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-1mdk
- update: infinity-0.2
- update: synaesthesia-0.0.2beta
- new!: bump_scope
- scriptization
- new versioning system for this package

* Sat Jun 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-9mdk
- uncessary to put libinfinite.a in package

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- added `infinite' plugin

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-7mdk
- Use configure macros.
- BuildRequires: xmms-devel

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- first release as a separate SRPM
- added documentation from each plugin
